{% extends "registration/registration_base.html" %}
{% load crispy_forms_tags %}
{% block page_seo %}
    <link rel="canonical" href="{{ site_url }}{% url "login" %}"/>
    <title>Connexion - Affichage Dynamique BdE</title>
    <meta name="title" content="Connexion"/>
    <meta name="description" content="Vous pouvez vous connecter ici."/>

    <meta property="og:url" content="{{ site_url }}{% url "login" %}"/>
    <meta property="og:title" content="Connexion"/>
    <meta property="og:description" content="Vous pouvez vous connecter ici."/>

    <meta property="twitter:url" content="{{ site_url }}{% url "login" %}">
    <meta property="twitter:title" content="Connexion"/>
    <meta property="twitter:description" content="Vous pouvez vous connecter ici."/>
{% endblock %}
{% block content %}
    <form class="form-signin" method="post" action="">
        {% csrf_token %}
        {% if form.errors %}
            <div class="alert alert-danger" role="alert">
                Le couple user/mot de passe ne correspond pas !
            </div>
        {% endif %}

        {% if next %}
            {% if user.is_authenticated %}
                <div class="alert alert-danger" role="alert">
                    Vous n'avez pas le droit d'acceder à cette page !
                </div>
                <p>Your account doesn't have access to this page. To proceed,
                    please login with an account that has access.</p>
            {% else %}
                <div class="alert alert-primary" role="alert">
                    Il faut être connecté pour voir cette page !
                </div>
            {% endif %}
        {% endif %}
        {{ form|crispy }}
        <input type="hidden" name="next" value="{{ next }}">
        <button class="btn btn-lg btn-primary btn-block" type="submit">Se connecter</button>
        <a href="{% url 'password_reset' %}">Mot de passe oublié ?</a><br/>
        <a href="{% url 'registration_register' %}">Créer un compte</a>
    </form>
{% endblock %}
